<div class="card">
	<div class="card-header heading">Part 2: Executive Summary
		(Continued)</div>
	<div class="card-margin">
		<div class="class-block">
			<div class="card">
				<div class="card-header heading">Part 2c: Location</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="card-padding pt-1">
							<p>
								<b class="head">List types of facilities (for example,
									retail outlets, corporate offices, data centers, call centers,
									etc.) and a summary of locations included in the PCI DSS
									review.</b>
							</p>
							<div class="row head heading-div heading-visible">
								<span class="col-3 p-3 heading">Type of facility</span>
								<span class="col-3 p-3 heading">Number of facilities of this type</span>
								<span class="col-4 p-3 heading">Location(s) of facility (city, country)</span>
								<span class="col-2"></span>
							</div>
							<form [formGroup]="part2cForm">
							<div formArrayName="locations">
								<div class="row mt-2 visible-border" *ngFor="let location of locations.controls; let i=index" [formGroupName]="i">
									<div class="column four remove visible-cross"><i class="fa fa-times-circle text-danger"
                                                                           (click)="deleteLocation(i)"></i></div>
									<div class="column one head">
											<label class="heading visible">Type of facility:</label>
									<div class="">
										<input type="text" class="form-control" name="facility" formControlName="facilityType">
										<jhi-display-2-error
											[control]="location.controls.facilityType">
										</jhi-display-2-error>
										</div>
										</div>
									<div class="column two head">
											<label class="heading visible">Number of facilities of this type:</label>
									<div class="">
										<input type="text" class="form-control" name="number" formControlName="numberOfFacilityType">
										<jhi-display-2-error
											[control]="location.controls.numberOfFacilityType">
										</jhi-display-2-error>
									</div>
									</div>
									<div class="column three head">
											<label class="heading visible">Location(s) of facility (city, country):</label>
									<div class="">
										<input type="text" class="form-control" name="location" oninput="this.value = this.value.toUpperCase()" formControlName="location">
										<jhi-display-2-error
											[control]="location.controls.location">
										</jhi-display-2-error>
									</div>
									</div>
									<div class="column four remove visible-cross-two"><i class="fa fa-times-circle text-danger"
                                                                           (click)="deleteLocation(i)"></i></div>
								</div>
							</div>
								<hr>
								<div class="row add-row ml-3"><a (click)="addLocation()"><b><i class="fa fa-plus mr-2"></i>Add
                            a new row</b></a></div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<div class="row-md action-div">
				<jhi-button [class.disabled]="!part2cForm.valid || (part2cForm.value.locations).length === 0" (click)="saveAndExit()" exit>Save & Exit</jhi-button>
				<jhi-button [class.disabled]="!part2cForm.valid || (part2cForm.value.locations).length === 0" (click)="saveAndContinue()" continue>Save &
				Continue</jhi-button>
			</div>
			<div class="arrows mt-auto mb-4">
				<i (click)="back()" class="fa fa-4x fa-angle-left ml-4"></i>
				<i (click)="forward()" *ngIf="curStates === 'PAYMENT_APPLICATIONS' || curStates === 'ENV_DESCRIPTION' || curStates === 'SERVICE_PROVIDERS' || curStates === 'TESTED_REQUIREMENTS' || curStates === 'SUMMARY'" class="fa fa-4x fa-angle-right float-right mr-4"></i>
			</div>
		</div>
	</div>
</div>
